; Golden World Version 5.0
; By: Javier Hernandez (Gokugoten@aol.com)
; Created through use of:
; PhxGamers, Inc. Phoenix Level Editor v0.8
 
;####### Identification
 
	.db	"Golden5!"
 
;####### Table of levels
 
level_table:
        .dw     lev1
        .dw     lev2
        .dw     lev3
        .dw     _shop
        .dw     lev4
        .dw     lev5
        .dw     lev6
        .dw     _shop
        .dw     lev8
        .dw     lev9
 
        .dw     _game_finished
 
;####### Level data
 
lev9:   .db     3				
        .db     L_SET_MOVETYPE,EM_BOSS	
        .db     L_SET_POWER,570		; Power
        .db     L_SET_MOVEDATA,0,31		
        .db     L_IMAGE_STILL		
        .dw     boss1			
        .db     L_SET_FIRETYPE,FT_PERIODIC	
        .db     L_SET_FIRERATE,64			; Firerate
        .db     L_SET_WEAPON,W_BIG		
        .db     L_INSTALL_ONE,90,1
        .db     L_INSTALL_ONE,90,13
        .db     L_INSTALL_ONE,90,25
        .db     L_END             
 
lev8:   .db     12
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_MOVETYPE,EM_RAMPAGEINIT
        .db     L_SET_FIRERATE,4			; Firerate
        .db     L_SET_POWER,470		; Power
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,0,0,12,0
        .db     L_END
 
lev6:   .db     18
        .db     L_IMAGE_STILL
        .dw     img_enemy_2 
        .db     L_SET_POWER,420		; Power
        .db     L_INSTALL_ROW,18,18,9,10
 
        .db     L_SET_POWER,420		; Power
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,3			; Firerate
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,1,18,9,15
        .db     L_END
 
 
lev5:   .db     18
        .db     L_SET_POWER,370		; Power
        .db     L_IMAGE_ANIM
        .dw     img_enemy_3s
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_SET_MOVETYPE,EM_RAMPAGEWAIT
        .db     L_SET_FIRERATE,8			;Firerate
        .db     L_GOTO
        .dw     lev4x
 
lev4:   .db     18
        .db     L_SET_POWER,320		; Power
        .db     L_IMAGE_STILL
        .dw     img_enemy_3
lev4x:  .db     L_INSTALL_ROW,26,2,3,10
        .db     L_INSTALL_ROW,26,22,3,10
        .db     L_INSTALL_ROW,66,2,3,10
        .db     L_INSTALL_ROW,66,22,3,10
        .db     L_INSTALL_ROW,17,7,3,40
        .db     L_INSTALL_ROW,17,17,3,40
        .db     L_END
 
lev3:   .db     9
        .db     L_SET_POWER,270		; Power
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,16,8,10
 
        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,87			; Power
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,64			; Firerate
        .db     L_SET_WEAPON,W_DOUBLE
        .db     L_INSTALL_ONE,90,1
        .db     L_END
 
lev1:   .db     17
        .db     L_SET_POWER,120		; Power
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,2,8,10
 
lev1x:  .db     L_SET_POWER,20		; Power
        .db     L_SET_MOVEDATA
        .db     0,-60    
        .db     L_IMAGE_STILL
        .dw     img_enemy_1 
        .db     L_INSTALL_ROW,18,19,9,10
 
        .db     L_END
 
lev2:   .db     14
        .db     L_SET_POWER,170		; Power
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,3			; Firerate
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,1,18,5,15
 
        .db     L_SET_MOVETYPE,EM_STANDARD
        .db     L_GOTO
        .dw     lev1x
                
_shop:  .db     0
        .db     L_SHOP
 
_game_finished:
        .db     0
        .db     L_GAMEEND
 
;####### Enemy movement patterns
 
zigzag_pattern:
        .db     32,0,4
zigzag_loop:
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,0,-16
        .db     16,-72,0
        .db     16,0,16
        .db     0
        .dw     zigzag_loop
 
;####### Images
 
img_bomber:				; used in levels 2,6,8
        .db     7,7
        .db 	   %10000010
        .db 	   %11111110
        .db 	   %10000010
        .db 	   %10000010
        .db 	   %01000100
        .db 	   %00101000
        .db 	   %00010000
 
img_enemy_1:				; levels 1,2
        .db     7,11
        .db 	   %10000010
        .db 	   %11000110
        .db 	   %10101010
        .db 	   %10101010
        .db 	   %10101010
        .db 	   %11101110
        .db	   %00101000
        .db 	   %00101000
        .db	   %01111100
        .db 	   %00111000
        .db 	   %00010000
 
img_enemy_2:				; levels 1,3,6
.db 8, 16
        .db 	   %10000001
        .db 	   %11000011
        .db	   %11100111
        .db	   %11111111
        .db	   %11000011
        .db	   %11000011
        .db	   %11000011
        .db	   %11000011
        .db	   %11100111
        .db	   %11111111
        .db	   %11011011
        .db	   %11000011
        .db	   %11000011
        .db	   %01100110
        .db	   %00111100
        .db 	   %00011000
 
img_enemy_3:				; level 4
        .db     8,8
        .db 	   %11000110
        .db 	   %11101110
        .db	   %10101010
        .db 	   %11111110
        .db 	   %10101010
        .db 	   %10111010
        .db 	   %10010010
        .db 	   %00000000
 
;####### Spinning enemies
img_enemy_3s:			; level 5
        .db 	   2
        .dw 	   img_enemy_3a		; image 1
        .db 	   2
        .dw 	   img_enemy_3b		; image 2
        .db 	   2
        .dw 	   img_enemy_3c		; image 3
        .db 	   2
        .dw 	   img_enemy_3d		; image 4
        .db 	   0
        .dw 	   img_enemy_3s
 
img_enemy_3a:			; image 1
        .db     8,8
        .db     %00011100
        .db     %00000010
        .db     %00011001
        .db     %10111101
        .db     %10111101
        .db     %10011001
        .db     %01000010
        .db     %00111100
img_enemy_3b:			; image 2
        .db     8,8
        .db     %00111000
        .db     %01000000
        .db     %10011000
        .db     %10111101
        .db     %10111101
        .db     %10011001
        .db     %01000010
        .db     %00111100
img_enemy_3c:			; image 3
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10011001
        .db     %10111101
        .db     %10111101
        .db     %10011000
        .db     %01000000
        .db     %00111000
img_enemy_3d:			; image 4
        .db     8,8
        .db     %00111100
        .db     %01000010
        .db     %10011001
        .db     %10111101
        .db     %10111101
        .db     %00011001
        .db     %00000010
        .db     %00011100
 
;####### Boss
boss1:				; levels 3,9
        .db     16,10
        .db     %11000000
        .db     %11100000
        .db     %01111111
        .db     %00111111
        .db     %00011000
        .db     %00001100
        .db     %00000111
        .db     %00000001
        .db     %00000011
        .db     %00000001
        .db     8,10
        .db     %00000110
        .db     %00001110
        .db     %11111100
        .db     %11111000
        .db     %00110000
        .db     %01100000
        .db     %11000000
        .db     %00000000
        .db     %10000000
        .db     %00000000
 
